Skip to content

Item

Get Items List

Authentication Required

http
GET https://api.sih.market/api/v1/get-items
ParameterTypeDescription
minifiedbooleanReturn a reduced/compact payload
extendedbooleanReturn extended item fields
appIdnumber730 (CS2) / 440 (TF2) / 252490 (Rust)

Response 200

json
{
  "success": true,
  "items": {
    "Sealed Graffiti | Tombstone (Monarch Blue)": {
      "price": 1.011,
      "count": 10,
      "phase": "Phase 1",
      "market": "Test Market",
      "sell": 1.01,
      "steam": 1.01,
      "image": "-9a81dlW...",
      "color": "ffffff"
    },
    "Souvenir UMP-45 | Scorched (Field-Tested)": {
      "price": 1.01,
      "count": 10,
      "phase": "Phase 1",
      "market": "Test Market",
      "sell": 1.01,
      "steam": 1.01,
      "image": "-9a81dlW...",
      "color": "ffffff"
    },
    "StatTrak™ FAMAS | Macabre (Factory New)": {
      "price": 1.01,
      "count": 10,
      "phase": "Phase 1",
      "market": "Test Market",
      "sell": 1.01,
      "steam": 1.01,
      "image": "-9a81dlW...",
      "color": "ffffff"
    }
  }
}

Response 400

json
{
  "success": false,
  "error": "string"
}

Get Min Item Price

Authentication Required

http
GET https://api.sih.market/api/v1/get-min-item
ParameterTypeDescription
itemstringMarket hash name, e.g. `M4A4
minifiedbooleanReturn a reduced/compact payload
appIdnumber730 (CS2) / 440 (TF2) / 252490 (Rust)

Response 200

json
{
  "success": true,
  "items": {
    "M4A4 | Asiimov (Well-Worn)": {
      "price": 93.14,
      "count": 1
    }
  }
}

Response 400

json
{
  "success": false,
  "error": "string"
}